Skip to main content

How to get an appointment by appointment UUID

This document explains how to fetch a single appointment by its appointment UUID.

To fetch an appointment by its UUID, you first need your credentials. If you don't already have one, head over to the Authentication and Authorization page to see how you can request for credentials from us.

To fetch an appointment by its UUID you need:

  • appointmentUuid (You would get this either in responses when getting appointments or in the response of create appointment)
  • departmentUuid (You would receive this at the time of integration)

Request

HTTP request

GET  https://api.mykaarma.com/appointment/v2/dealerDepartment/{departmentUuid}/uuid/{{appointmentUuid}}

Parameters

Path parameter:

Parameter NameValueDescriptionRequired
departmentUuidStringUnique identifier of dealer's departmentYes
appointmentUuidStringUnique identifier of the appointment in myKaarma systemYes

Authorization

This request requires the following authorization scopes:

ScopeLevelDescription
appointment.getDepartmentAuthorises client to get appointments for a department

Endpoint

curl -X GET "https://api.mykaarma.com/appointment/v2/dealerDepartment/{{departmentUuid}}/uuid/{{appointmentUuid}}"
-H "accept: application/json"
-H "Authorization: {{basic_auth_token}}"

Response

{
"error": [
{
"errorCode": 0,
"errorDescription": "string"
}
],
"warnings": [
{
"warningCode": 0,
"warningDescription": "string"
}
],
"appointmentInfo": {
"uuid": "string",
"customerInformation": {
"firstName": "string",
"lastName": "string",
"company": "string",
"isBusiness": false,
"customerKey": "string",
"confirmationPhone": "string",
"confirmationEmail": "string",
"custLocale": "string",
"uuid": "string"
},
"vehicleInformation": {
"vin": "string",
"vehicleKey": "string",
"model": "string",
"year": "string",
"brand": "string",
"trim": "string",
"engine": "string",
"mileage": "string",
"dealerUuid": "string",
"uuid": "string"
},
"orderInformation": {
"uuid": "string",
"orderNumber": "string",
"orderDate": "string",
"orderType": "string"
},
"dealerUuid": "string",
"assignedAdvisorUuid": "string",
"creatorAdvisorUuid": "string",
"assignedAdvisorUserUuid": "string",
"creatorAdvisorUserUuid": "string",
"assignedAdvisorDmsDepartmentCode": 0,
"date": "string",
"preferredDate": "string",
"startTime": "string",
"endTime": "string",
"transportOption": {
"uuid": "string",
"altTransportation": "string",
"bookingId": "string",
"bookInThirdParty": false,
"bookingStartDate": "string",
"bookingEndDate": "string",
"bookingIsManual": "string",
"bookingIsValid": "string",
"loanerSmartLink": "string",
"transportation": "string",
"organicTransportation": "string",
"subTransportOptionUuid": "string"
},
"appointmentKey": "string",
"mileageText": "string",
"recall": false,
"platform": "string",
"appointmentSource": "string",
"newStatus": "string",
"comments": "string",
"internalNotes": "string",
"isCancelled": false,
"reminderCount": 0,
"serviceList": [
{
"uuid": "string",
"opCode": "string",
"laborOpCode": "string",
"description": "string",
"operationType": "string",
"laborTotal": 0,
"partsTotal": 0,
"shopFees": 0,
"taxes": 0,
"price": 0,
"isValid": true,
"payType": "string",
"sortOrder": 1,
"parentOpcodeUuid": "string",
"menuUuid": "string",
"recallID": "string",
"durationInMins": 1,
"isCustomConcern": false,
"isDealerAddedLine": false
}
],
"skillList": [{
"uuid":"string",
"name":"string",
"dealerUuid":"string",
"departmentUuid":"string",
"operationList":null,
"isValid":true
}],
"appointmentCommunicationPreferences": {
"emailConfirmation": true,
"textConfirmation": false,
"emailReminder": true,
"textReminder": false,
"confirmationEmail": "string",
"confirmationPhoneNumber": "string",
"notifyCustomer": true,
"sendCommunicationToDA": true
},
"pdrToOpcodes": {},
"teamUuid": "string",
"dispatchCode": "string",
"customerVehicleInspectionId": "string",
"sarmetaData": {
"dmsMetaData":{
"type":"string",
"title":"string",
"description":"string",
"vehicleUuid":"string",
"dealerAssociateId":"string"
},
"appointmentData": {}
}
}
}